Bug 141296 - Mozilla does not have i686 optimized scheduling
Mozilla does not have i686 optimized scheduling
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
http://physstud.jmu.edu/quarlewm/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-30 01:54 EST by William M. Quarles
Modified: 2008-02-08 11:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 11:17:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description William M. Quarles 2004-11-30 01:54:56 EST
Description of problem:
The spec file in the mozilla source does not contain $RPM_OPT_FLAGS 
in any of the CFLAGS-type variables, therefore the browser does not 
have any optimizations for i686 processors.

Version-Release number of selected component (if applicable):
Any version of Mozilla for Fedora Core 1 or 2 (I haven't check Fedora 
Core 3 yet).

How reproducible:
Heck, it's your spec file, read it for yourself.

Steps to Reproduce:
1. Read the spec file

Actual results:
A slower browser

Expected results:
A faster browser

Additional info:
I've made some RPMs available on my website that are built from your 
sources with modifications to the spec files so that optimizations 
actually come out.  I built them for i686 architecture and they 
actually run faster than their i386 counterparts.  However, I'm sure 
that i386 packages with $RPM_OPT_FLAGS in them would still run better 
than without.
Comment 1 Matthew Miller 2005-04-26 12:11:56 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 William M. Quarles 2005-04-27 00:30:36 EDT
Hi,

I would love to move this bug up to Fedora Core 3, but I don't know if I can. 
Under the advice of my psychologist, friends, and family I have given away (as
in I no longer have it) root access to my computer.  As far as know I have no
way of installing FC3 SRPMs to check to see if this bug still exists.  I don't
even have access to a user account for a while.  So somebody else is going to
have to check this, and I hope that it would be the developers who got this
report five months ago and have yet to respond to what is a very easy to fix bug.
Comment 3 Matthew Miller 2005-04-27 00:41:44 EDT
There isn't any mention of RPM_OPT_FLAGS in the current devel spec file either.

However, firefox *has* had this for a long time, for whatever that's worth. In
any case, moving to 'devel'. Thanks for your comments.
Comment 4 William M. Quarles 2005-04-27 12:55:23 EDT
Heh, I like my browser and my e-mail program in one package.  Easier to install
MozDev enhancements to the mail program and doesn't waste space on the hard
drive or in memory with redundant HTML processing and UI code.
Comment 5 Matěj Cepl 2008-02-08 11:17:48 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages in Rawhide, which may have resolved this issue. Users who have
experienced this problem are encouraged to upgrade their system to the latest
version of their distribution available.

Closing this bug as CANTFIX. Please, reopen, if this bug is still reproducable
on the latest update of your distribution.

[This is mass-closing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if we are closing your bug in mistake; please, don't hesitate to
reopen, if it is still alive issue.]

Note You need to log in before you can comment on or make changes to this bug.